Page MenuHomePhabricator

High density logos for spanish sister projects
Closed, ResolvedPublic

Description

Only es.wikipedia and es.wikibooks have HD logos defined. I'll upload HD logos for the rest of them. One patch per project.

Wiki Gerrit Live? Verified?
eswikihttps://gerrit.wikimedia.org/r/#/c/328908/
eswikibookshttps://gerrit.wikimedia.org/r/#/c/364405/
eswikiquotehttps://gerrit.wikimedia.org/r/#/c/366875/
eswikisourcehttps://gerrit.wikimedia.org/r/#/c/367008/
eswikiversityhttps://gerrit.wikimedia.org/r/#/c/365966/ (T160491)
eswikivoyagehttps://gerrit.wikimedia.org/r/#/c/367676/
eswiktionarySome issues are to be resolved first.
eswikinewsNo SVG version avalaible. Requested.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterSVG logo for es.wiktionary
operations/mediawiki-config : masterHD logos for eswikivoyage and added some missing paths to the config
operations/mediawiki-config : masterHigh density logos for es.wikisource
operations/mediawiki-config : masterHigh density logos for es.wikiquote
operations/mediawiki-config : masterHigh density logos for es.wikiversity

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2017, 5:03 PM
MarcoAurelio triaged this task as Lowest priority.Jul 13 2017, 5:06 PM

This is a work in progress that can take as long as required.

eswikiversity 1.5x and 2x logos
$ ./optipng.exe -o8 eswikiversity*
** Processing: eswikiversity-1.5x.png
225x203 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 11376 bytes
Input file size = 11463 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 8623

Selecting parameters:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 8623

Output IDAT size = 8623 bytes (2753 bytes decrease)
Output file size = 8698 bytes (2765 bytes = 24.12% decrease)

** Processing: eswikiversity-2x.png
300x270 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 14946 bytes
Input file size = 15033 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 11427

Selecting parameters:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 11427

Output IDAT size = 11427 bytes (3519 bytes decrease)
Output file size = 11502 bytes (3531 bytes = 23.49% decrease)

Change 365066 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] High density logos for es.wikiversity

https://gerrit.wikimedia.org/r/365066

There's a problem with es.wiktionary. Their logo is https://es.wiktionary.org/w/static/images/project-logos/eswiktionary.png which is https://commons.wikimedia.org/wiki/File:Wiktionary-logo-es.png for which no SVG version of that file is avalaible. The alternate SVG version text differs. I'll skip this one for now. I'll ask es.wiktionary if they wish to keep the current logo (in that case I'll ask that a SVG version of that PNG be created) or they want to switch to the new version.

Wikiquote does use the same logo as the English Wikiquote. I think I'll just duplicate the English files and add their own paths, but I'll optiPNG the Spanish ones just in case.

Same for es.wikisource.

For the Spanish Wikiquote, given that they use the exact same logo than the English Wikiquote, I just copied the logos from the English Wikiquote, optimized them and uploaded them to the repo with different names

es.wikiquote normal and HD optiPNG output
$ ./optipng.exe -o8 eswikiquote*
** Processing: eswikiquote.png
150x150 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 7226 bytes
Input file size = 7301 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 7217
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 7216

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 7216

Output IDAT size = 7216 bytes (10 bytes decrease)
Output file size = 7291 bytes (10 bytes = 0.14% decrease)

** Processing: eswikiquote-1.5x.png
202x202 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 9691 bytes
Input file size = 9943 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 9685

Selecting parameters:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 9685

Output IDAT size = 9685 bytes (6 bytes decrease)
Output file size = 9937 bytes (6 bytes = 0.06% decrease)

** Processing: eswikiquote-2x.png
270x270 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 14201 bytes
Input file size = 14276 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 14179

Selecting parameters:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 14179

Output IDAT size = 14179 bytes (22 bytes decrease)
Output file size = 14254 bytes (22 bytes = 0.15% decrease)

Change 366875 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] High density logos for the Spanish Wikiquote

https://gerrit.wikimedia.org/r/366875

Change 365066 abandoned by MarcoAurelio:
High density logos for es.wikiversity

Reason:
It seems these are already uploaded.

https://gerrit.wikimedia.org/r/365066

MarcoAurelio updated the task description. (Show Details)
es.wikisource
$ ./optipng.exe -o8 eswikisource*
** Processing: eswikisource.png
150x188 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 13061 bytes
Input file size = 13148 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 10328
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 10325

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 10325

Output IDAT size = 10325 bytes (2736 bytes decrease)
Output file size = 10400 bytes (2748 bytes = 20.90% decrease)

** Processing: eswikisource-1.5x.png
225x282 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 20079 bytes
Input file size = 20178 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 16002
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 15999

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 15999

Output IDAT size = 15999 bytes (4080 bytes decrease)
Output file size = 16074 bytes (4104 bytes = 20.34% decrease)

** Processing: eswikisource-2x.png
300x375 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 27289 bytes
Input file size = 27400 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 21762
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 21758

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 21758

Output IDAT size = 21758 bytes (5531 bytes decrease)
Output file size = 21833 bytes (5567 bytes = 20.32% decrease)

Change 367008 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] High density logos for es.wikisource

https://gerrit.wikimedia.org/r/367008

MarcoAurelio updated the task description. (Show Details)

Wikiquote and Wikisource scheduled for deployment.

Change 366875 merged by jenkins-bot:
[operations/mediawiki-config@master] High density logos for es.wikiquote

https://gerrit.wikimedia.org/r/366875

Change 367008 merged by jenkins-bot:
[operations/mediawiki-config@master] High density logos for es.wikisource

https://gerrit.wikimedia.org/r/367008

Mentioned in SAL (#wikimedia-operations) [2017-07-25T13:07:45Z] <hashar@tin> Synchronized static/images/project-logos: High density logos for es.wikiquote - T170604 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-07-25T13:08:48Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: High density logos for es.wikiquote - T170604 (duration: 00m 49s)

Mentioned in SAL (#wikimedia-operations) [2017-07-25T13:10:18Z] <hashar@tin> Synchronized static/images/project-logos: High density logos for es.wikisource - T170604 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-07-25T13:11:20Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: High density logos for es.wikisource - T170604 (duration: 00m 43s)

Mentioned in SAL (#wikimedia-operations) [2017-07-25T13:13:00Z] <hashar> Purged project-logos for eswikisource/eswikiquote high density logos T170604 : find static/images/project-logos -maxdepth 1 -type f| sed -e 's%^%https://en.wikipedia.org/%'

es.wikivoyage
$ ./optipng.exe -o7 eswikivoyage*
** Processing: eswikivoyage.png
150x150 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 5744 bytes
Input file size = 5819 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 3718
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 3718

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 3718

Output IDAT size = 3718 bytes (2026 bytes decrease)
Output file size = 3793 bytes (2026 bytes = 34.82% decrease)

** Processing: eswikivoyage-1.5x.png
225x225 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 8680 bytes
Input file size = 8767 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 5796
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 5796

Selecting parameters:
  zc = 9  zm = 8  zs = 0  f = 0         IDAT size = 5796

Output IDAT size = 5796 bytes (2884 bytes decrease)
Output file size = 5871 bytes (2896 bytes = 33.03% decrease)

** Processing: eswikivoyage-2x.png
300x300 pixels, 4x8 bits/pixel, RGB+alpha
Input IDAT size = 11816 bytes
Input file size = 11903 bytes

Trying:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 7858

Selecting parameters:
  zc = 9  zm = 9  zs = 0  f = 0         IDAT size = 7858

Output IDAT size = 7858 bytes (3958 bytes decrease)
Output file size = 7933 bytes (3970 bytes = 33.35% decrease)

Change 367676 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] HD logos for eswikivoyage and added some paths.

https://gerrit.wikimedia.org/r/367676

Change 367676 merged by jenkins-bot:
[operations/mediawiki-config@master] HD logos for eswikivoyage and added some missing paths to the config

https://gerrit.wikimedia.org/r/367676

Mentioned in SAL (#wikimedia-operations) [2017-07-26T13:22:46Z] <zfilipin@tin> Synchronized static/images/project-logos/: SWAT: [[gerrit:367676|HD logos for eswikivoyage and added some missing paths to the config (T170604)]] (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2017-07-26T13:24:49Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:367676|HD logos for eswikivoyage and added some missing paths to the config (T170604)]] (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2017-07-26T13:34:16Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:367889|Revert eswikisource paths due to oversized logos (T170604)]] (duration: 00m 46s)

I had to revert eswikisource due to oversize. Will try to figure the right dimensions.

MarcoAurelio updated the task description. (Show Details)

Change 374065 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] SVG logo for es.wiktionary

https://gerrit.wikimedia.org/r/374065

Change 374065 merged by jenkins-bot:
[operations/mediawiki-config@master] SVG logo for es.wiktionary

https://gerrit.wikimedia.org/r/374065

Note to self: 135 for Wiktionary caused oversize. Need to figure out a smaller but optimal size.

es.wiktionary logo pending due to some color and IPA things, still being discussed

MarcoAurelio changed the task status from Open to Stalled.Sep 17 2017, 11:23 AM

Blocked on external design issues.

Update:

  • es.wiktionary logo in SVG seems to be ready. Upload pending.
  • es.wikinews logo in SVG is pending community review and fix of a couple of minor things.
MarcoAurelio closed this task as Resolved.Feb 22 2018, 9:26 PM

Closing. Remaining issues will be resolved using T54019. After all we seem to be shifting to use svg logos directly.